#utf-8

from lib.socket.service.AutoCarService import AutoCarService


def startSimulaterService():
    autoCarObj = AutoCarService()
    autoCarObj.setHost("10.100.12.32")                  # 设置主机地址
    autoCarObj.setPort(9008)                            # 设置端口号
    autoCarObj.setCarId("M202003060520")                #设置车机号
    autoCarObj.setSendDur(1)                            # 设置发送消息的间隔时间
    autoCarObj.setTimeout(30)                           # 设置socket超时时间
    autoCarObj.setChangeGPSLineTime(1 * 3 * 60)         # 设置跑完一条轨迹后，进入下一条轨迹的时间（请设置至少大于4分钟的时间）
    autoCarObj.setServiceTime(1 * 6 * 60)               # 设置整个服务的持续时间

    autoCarObj.setOilExpend(10)                         # 设置1L 油跑多少公里
    autoCarObj.setSpeed(80)                             #设置车速，每小时多少公里
    autoCarObj.startService()

if __name__ == "__main__":
    startSimulaterService()




